ATMCONFIG(8)

NAME
atmconfig - ATM configuration tool

SYNOPSIS
atmconfig [-htv] [command [sub-command [...]]] [options] [arg ...]

DESCRIPTION
The atmconfig tool is used to configure the Netgraph ATM network sub-system.

The command line of atmconfig generally consists of common options followed by a command string, optionally followed by sub-command strings, optional command specific options and command specific arguments. Commands and sub-commands as well as command specific options may be abbreviated as long as there is only one match possible.

  Common Options
The following common options change the overall behaviour of atmconfig:

-h  Print a very short usage info and exit.

-t  Several show-type commands output a header and then several lines of information. If this option is given, the header is omitted, simplifying the parsing of the output.

-v  Be more verbose.

  Obtaining Help
The help command has a number of useful sub-commands.

To get general help use:
    atmconfig help

To get a list of available commands use:
    atmconfig help commands

To get a list of available sub-commands use:
    atmconfig help command

or (if there are deeper levels of sub-commands):
    atmconfig help command sub-command ...

To get a list of options and arguments for a command use:
    atmconfig help command sub-command ...
(given that there are no further sub-command levels).

To get a list of common options use:
    atmconfig help options

  The diag Command
The diag command allows the inspection of the ATM interfaces on the local host and the modification of device parameters. Sub-commands are: list (print a list of interfaces), config (print hardware configuration), phy (access PHY chip), stats (print statistics) and vcc (print list of VCCs).

atmconfig diag list
    This sub-command lists all ATM interfaces in the system. It takes no options or arguments.

    atmconfig diag config [-atm] [-hardware] [device ...] This command prints the configuration of ATM interfaces. If no device is given, all devices are listed, otherwise only the specified devices. The option -atm instructs the command to print ATM layer configuration parameters like the number of VCI and VPI bits, whereas the -hardware option requests card specific information like the vendor or the serial number. If none of the options is given, the defaults is to assume -atm.

    atmconfig diag phy print [-numeric] device This command prints the PHY registers in a (potential) human comprehensible format. If -numeric is given, the format is hex bytes. Otherwise, textual representation will be printed.

atmconfig diag phy show [device ...]
    This sub-command prints static information about the PHY device used in the ATM card like the type of the PHY and the media.

    atmconfig diag phy set device reg mask val This sub-command allows one to change bits in PHY registers. This should be used with great care. The bits of the given PHY chip register for which the corresponding bit in mask is one are set to the values of the corresponding bits in val. All register bits that have a zero in mask are written back with their original value.

    atmconfig diag phy stats [-clear] device Print the PHY statistics for the given device. When the optional -clear is given, the statistics are cleared atomically.

    atmconfig diag vcc [-abr] [-channel] [-traffic] [device] Retrieve the list of currently active channels on either all or the specified interfaces. For each channel, the following information is printed depending on the options (default is -channel).

    -abr
        Print ABR specific traffic parameters: ICR, TBE, NRM, TRM, ADTF, RIF, RDF, CDF.

    -channel
        Print basic information: VPI, VCI, AAL, traffic type, MTU and flags.

    -traffic
        Print traffic parameters: PCR, SCR, MBS, MCR.

atmconfig diag stats device
    Print driver specific statistics.

  The natm Command
The natm command is used to change natmip(4) routes on the local host. The sub-commands for the routing table are: add (to add a new route), delete (to delete an existing route) and show (to print the currently installed NATM routes).

    atmconfig natm add dest device vpi vci encaps
    atmconfig natm add dest device vpi vci encaps ubr [pcr]
    atmconfig natm add dest device vpi vci encaps cbr pcr
    atmconfig natm add dest device vpi vci encaps vbr pcr scr mbs
    atmconfig natm add dest device vpi vci encaps abr pcr mcr icr tbe nrm trm adtf rif rdf cdf Add a new route to the routing table. The destination address (the address on the other end of the link) is given in dest. The device, vpi and vci arguments are the name of the ATM device and the VPI and VCI values for the link. The encaps argument may be either AAL5 or LLC/SNAP both of which specify AAL5 encapsulation, the first one without additional encapsulation, the second one with LLC/SNAP headers. The first two forms of the command add an UBR (unspecified bit rate) channel, where the second form allows the optional specification of a peak cell rate (PCR). The third form adds a CBR (constant bit rate) channel where a PCR must be given. The fourth form adds a VBR (variable bit rate) channel. The arguments are the peak cell rate, the sustainable cell rate and the maximum bursts size. The last form of the command adds an ABR (available bit rate) channel.

atmconfig natm delete dest
    atmconfig natm delete device vpi vci This commands deletes an NATM route. The route may be specified either by the destination address or by the device, vpi and vci triple.

atmconfig natm show
    List all NATM routes.

SEE ALSO
natm(4), natmip(4)

HISTORY
An atmconfig command appeared in FreeBSD 3.0.

AUTHORS
Hartmut Brandt <harti@FreeBSD.org>